<?xml version="1.0" encoding="utf-8" standalone="no"?>
<problem revision="33" short-name="fraction" url="https://polygon.codeforces.com/p3FEngI/tourist/fraction">
    <names>
        <name language="english" value="Faulty Fraction"/>
    </names>
    <statements>
        <statement charset="UTF-8" language="english" mathjax="true" path="statements/english/problem.tex" type="application/x-tex"/>
        <statement charset="UTF-8" language="english" mathjax="true" path="statements/.html/english/problem.html" type="text/html"/>
        <statement language="english" path="statements/.pdf/english/problem.pdf" type="application/pdf"/>
    </statements>
    <tutorials>
        <tutorial charset="UTF-8" language="english" mathjax="true" path="statements/english/tutorial.tex" type="application/x-tex"/>
        <tutorial language="english" path="statements/.pdf/english/tutorial.pdf" type="application/pdf"/>
    </tutorials>
    <judging cpu-name="Intel(R) Core(TM) i3-8100 CPU @ 3.60GHz" cpu-speed="3600" input-file="" output-file="" run-count="1">
        <testset name="tests">
            <time-limit>2000</time-limit>
            <memory-limit>1073741824</memory-limit>
            <test-count>79</test-count>
            <input-path-pattern>tests/%02d</input-path-pattern>
            <answer-path-pattern>tests/%02d.a</answer-path-pattern>
            <tests>
                <test method="manual" sample="true"/>
                <test method="manual" sample="true"/>
                <test method="manual" sample="true"/>
                <test cmd="gen_random 1 3" method="generated"/>
                <test cmd="gen_random 2 2" method="generated"/>
                <test cmd="gen_random 10 10" method="generated"/>
                <test cmd="gen_random 123 456" method="generated"/>
                <test cmd="gen_random 4321 90537" method="generated"/>
                <test cmd="gen_random 43957 7630" method="generated"/>
                <test cmd="gen_p10 1 1" method="generated"/>
                <test cmd="gen_p10 1 99999" method="generated"/>
                <test cmd="gen_p10 50000 1" method="generated"/>
                <test cmd="gen_p10 43210 13580" method="generated"/>
                <test cmd="gen_random 34567 30866 0" method="generated"/>
                <test cmd="gen_random 23456 53088 0" method="generated"/>
                <test cmd="gen_random 37352 25296 1" method="generated"/>
                <test cmd="gen_random 28645 42710 1" method="generated"/>
                <test cmd="gen_random_tourist 99999 1 -1" method="generated"/>
                <test cmd="gen_random_tourist 99999 2 -1" method="generated"/>
                <test cmd="gen_random_tourist 99999 5 -1" method="generated"/>
                <test cmd="gen_random_tourist 99999 14 -1" method="generated"/>
                <test cmd="gen_random_tourist 99999 42 -1" method="generated"/>
                <test cmd="gen_random_tourist 99999 132 -1" method="generated"/>
                <test cmd="gen_random_tourist 99999 1234 -1" method="generated"/>
                <test cmd="gen_random_tourist 99999 12345 -1" method="generated"/>
                <test cmd="gen_random_tourist 99999 33333 -1" method="generated"/>
                <test cmd="gen_random_tourist 99999 49999 -1" method="generated"/>
                <test cmd="gen_random_tourist 99999 50000 -1" method="generated"/>
                <test cmd="gen_random_tourist 99999 50001 -1" method="generated"/>
                <test cmd="gen_random_tourist 99999 77777 -1" method="generated"/>
                <test cmd="gen_random_tourist 99999 91293 -1" method="generated"/>
                <test cmd="gen_random_tourist 99999 99191 -1" method="generated"/>
                <test cmd="gen_random_tourist 99999 99910 -1" method="generated"/>
                <test cmd="gen_random_tourist 99999 99980 -1" method="generated"/>
                <test cmd="gen_random_tourist 99999 99989 -1" method="generated"/>
                <test cmd="gen_random_tourist 99999 99996 -1" method="generated"/>
                <test cmd="gen_random_tourist 99999 99997 -1" method="generated"/>
                <test cmd="gen_random_tourist 99999 99998 -1" method="generated"/>
                <test cmd="gen_random_tourist 100000 1 -1" method="generated"/>
                <test cmd="gen_random_tourist 100000 2 -1" method="generated"/>
                <test cmd="gen_random_tourist 100000 5 -1" method="generated"/>
                <test cmd="gen_random_tourist 100000 14 -1" method="generated"/>
                <test cmd="gen_random_tourist 100000 42 -1" method="generated"/>
                <test cmd="gen_random_tourist 100000 132 -1" method="generated"/>
                <test cmd="gen_random_tourist 100000 1234 -1" method="generated"/>
                <test cmd="gen_random_tourist 100000 12345 -1" method="generated"/>
                <test cmd="gen_random_tourist 100000 33333 -1" method="generated"/>
                <test cmd="gen_random_tourist 100000 49999 -1" method="generated"/>
                <test cmd="gen_random_tourist 100000 50000 -1" method="generated"/>
                <test cmd="gen_random_tourist 100000 50001 -1" method="generated"/>
                <test cmd="gen_random_tourist 100000 77777 -1" method="generated"/>
                <test cmd="gen_random_tourist 100000 91293 -1" method="generated"/>
                <test cmd="gen_random_tourist 100000 99191 -1" method="generated"/>
                <test cmd="gen_random_tourist 100000 99910 -1" method="generated"/>
                <test cmd="gen_random_tourist 100000 99980 -1" method="generated"/>
                <test cmd="gen_random_tourist 100000 99989 -1" method="generated"/>
                <test cmd="gen_random_tourist 100000 99996 -1" method="generated"/>
                <test cmd="gen_random_tourist 100000 99997 -1" method="generated"/>
                <test cmd="gen_random_tourist 100000 99998 -1" method="generated"/>
                <test cmd="gen_random_tourist 100000 99999 -1" method="generated"/>
                <test cmd="gen_random_tourist 100000 1 0" method="generated"/>
                <test cmd="gen_random_tourist 100000 5 0" method="generated"/>
                <test cmd="gen_random_tourist 100000 100 0" method="generated"/>
                <test cmd="gen_random_tourist 100000 1000 0" method="generated"/>
                <test cmd="gen_random_tourist 100000 10000 0" method="generated"/>
                <test cmd="gen_random_tourist 100000 50000 0" method="generated"/>
                <test cmd="gen_random_tourist 100000 90001 0" method="generated"/>
                <test cmd="gen_random_tourist 100000 99000 0" method="generated"/>
                <test cmd="gen_random_tourist 100000 99901 0" method="generated"/>
                <test cmd="gen_random_tourist 100000 99990 0" method="generated"/>
                <test cmd="gen_random_tourist 100000 99991 0" method="generated"/>
                <test cmd="gen_random_tourist 100000 99998 0" method="generated"/>
                <test cmd="gen_random_tourist 100000 99999 0" method="generated"/>
                <test cmd="gen_random_tourist 99999 43129 2" method="generated"/>
                <test cmd="gen_random_tourist 99999 13129 5" method="generated"/>
                <test cmd="gen_random_tourist 99999 23128 14" method="generated"/>
                <test cmd="gen_random_tourist 99999 63128 42" method="generated"/>
                <test cmd="gen_random_tourist 99999 13129 132" method="generated"/>
                <test cmd="gen_random_tourist 99999 53128 1234" method="generated"/>
            </tests>
        </testset>
    </judging>
    <files>
        <resources>
            <file path="files/olymp.sty"/>
            <file path="files/problem.tex"/>
            <file path="files/statements.ftl"/>
            <file path="files/testlib.h" type="h.g++"/>
            <file path="files/tutorial.tex"/>
        </resources>
        <executables>
            <executable>
                <source path="files/gen_p10.py" type="python.3"/>
                <binary path="files/gen_p10.pys3" type="pythonx.3"/>
            </executable>
            <executable>
                <source path="files/gen_random.py" type="python.3"/>
                <binary path="files/gen_random.pys3" type="pythonx.3"/>
            </executable>
            <executable>
                <source path="files/gen_random_tourist.py" type="python.3"/>
                <binary path="files/gen_random_tourist.pys3" type="pythonx.3"/>
            </executable>
            <executable>
                <source path="files/validator.cpp" type="cpp.g++17"/>
                <binary path="files/validator.exe" type="exe.win32"/>
            </executable>
        </executables>
    </files>
    <assets>
        <checker name="std::wcmp.cpp" type="testlib">
            <source path="files/check.cpp" type="cpp.g++17"/>
            <binary path="check.exe" type="exe.win32"/>
            <copy path="check.cpp"/>
            <testset>
                <test-count>0</test-count>
                <input-path-pattern>files/tests/checker-tests/%02d</input-path-pattern>
                <output-path-pattern>files/tests/checker-tests/%02d.o</output-path-pattern>
                <answer-path-pattern>files/tests/checker-tests/%02d.a</answer-path-pattern>
                <tests/>
            </testset>
        </checker>
        <validators>
            <validator>
                <source path="files/validator.cpp" type="cpp.g++17"/>
                <binary path="files/validator.exe" type="exe.win32"/>
                <testset>
                    <test-count>10</test-count>
                    <input-path-pattern>files/tests/validator-tests/%02d</input-path-pattern>
                    <tests>
                        <test verdict="valid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="valid"/>
                        <test verdict="invalid"/>
                        <test verdict="valid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="valid"/>
                        <test verdict="invalid"/>
                    </tests>
                </testset>
            </validator>
        </validators>
        <solutions>
            <solution tag="accepted">
                <source path="solutions/347932127_ksun48_ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/347932127_ksun48_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/347944689_xiaowuc1_ok.cpp" type="cpp.g++17"/>
                <binary path="solutions/347944689_xiaowuc1_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/347989086_shevlopmes_RomkaRS_artem3605_tl7.py" type="python.pypy3-64"/>
                <binary path="solutions/347989086_shevlopmes_RomkaRS_artem3605_tl7.pypys3-64" type="pythonx.pypy3-64"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/347989987_shevlopmes_RomkaRS_artem3605_ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/347989987_shevlopmes_RomkaRS_artem3605_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/348015329__LeMur__ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/348015329__LeMur__ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/348044963_shade34_SomethingNew_goncharovmike_ok.py" type="python.pypy3-64"/>
                <binary path="solutions/348044963_shade34_SomethingNew_goncharovmike_ok.pypys3-64" type="pythonx.pypy3-64"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/348113464_Karuk_BLOBVISGOD_jeroenodb_wa5.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/348113464_Karuk_BLOBVISGOD_jeroenodb_wa5.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/348118944_Karuk_BLOBVISGOD_jeroenodb_ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/348118944_Karuk_BLOBVISGOD_jeroenodb_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/348135987_Stanislau_Karabutsa_alex.dobleaga_rt5.py" type="python.pypy3-64"/>
                <binary path="solutions/348135987_Stanislau_Karabutsa_alex.dobleaga_rt5.pypys3-64" type="pythonx.pypy3-64"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/348136132_Stanislau_Karabutsa_alex.dobleaga_wa5.py" type="python.pypy3-64"/>
                <binary path="solutions/348136132_Stanislau_Karabutsa_alex.dobleaga_wa5.pypys3-64" type="pythonx.pypy3-64"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/348137169_Stanislau_Karabutsa_alex.dobleaga_rt7.py" type="python.pypy3-64"/>
                <binary path="solutions/348137169_Stanislau_Karabutsa_alex.dobleaga_rt7.pypys3-64" type="pythonx.pypy3-64"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/348138515_Stanislau_Karabutsa_alex.dobleaga_ok.py" type="python.pypy3-64"/>
                <binary path="solutions/348138515_Stanislau_Karabutsa_alex.dobleaga_ok.pypys3-64" type="pythonx.pypy3-64"/>
            </solution>
            <solution tag="main">
                <source path="solutions/sol_nb.cpp" type="cpp.g++17"/>
                <binary path="solutions/sol_nb.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/sol_nb_poly_hash.cpp" type="cpp.g++17"/>
                <binary path="solutions/sol_nb_poly_hash.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/sol_nb_py.py" type="python.3"/>
                <binary path="solutions/sol_nb_py.pys3" type="pythonx.3"/>
            </solution>
            <solution tag="time-limit-exceeded">
                <source path="solutions/sol_nb_py_slow.py" type="python.3"/>
                <binary path="solutions/sol_nb_py_slow.pys3" type="pythonx.3"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/tourist.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/tourist.exe" type="exe.win32"/>
            </solution>
        </solutions>
    </assets>
    <properties>
        <property name="tests-wellformed" value="true"/>
    </properties>
    <stresses>
        <stress-count>0</stress-count>
        <stress-path-pattern>stresses/%03d</stress-path-pattern>
        <list/>
    </stresses>
    <documents>
        <document path="documents/description.txt" type="text/plain"/>
    </documents>
    <tags>
        <tag value="division"/>
    </tags>
</problem>
